package form

import (
	"net/http"
	"strconv"
)

type StatusForm struct {
	Id      int64
	Content string
	Face    string
	Error   string
        Number int }

func NewStatusForm(r *http.Request) *StatusForm {
	var id int64
	id, _ = strconv.ParseInt(r.FormValue("id"), 10, 64)
        number, _ := strconv.Atoi(r.FormValue("number"))
	return &StatusForm{
		Id:      id,
		Content: r.FormValue("content"),
		Face:    r.FormValue("face"),
                Number: number,
	}
}
